/*-
 *   Copyright (C) 2011 by Maxim Ignatenko
 *   gelraen.ua@gmail.com
 *
 *   All rights reserved.                                                  *
 *                                                                         *
 *   Redistribution and use in source and binary forms, with or without    *
 *    modification, are permitted provided that the following conditions   *
 *    are met:                                                             *
 *     * Redistributions of source code must retain the above copyright    *
 *       notice, this list of conditions and the following disclaimer.     *
 *     * Redistributions in binary form must reproduce the above copyright *
 *       notice, this list of conditions and the following disclaimer in   *
 *       the documentation and/or other materials provided with the        *
 *       distribution.                                                     *
 *                                                                         *
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   *
 *   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     *
 *   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR *
 *   A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  *
 *   OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, *
 *   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      *
 *   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, *
 *   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY *
 *   THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   *
 *   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE *
 *   OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  *
 *
 */

#ifndef NG_MIKROTIK_EOIP_H
#define NG_MIKROTIK_EOIP_H

#define NG_MIKROTIK_EOIP_NODE_TYPE	"mikrotik_eoip"

#define NGM_MIKROTIK_EOIP_COOKIE	1323935718

#define NGM_MIKROTIK_EOIP_HOOK_OUT	"out"

enum
{
	NGM_MIKROTIK_EOIP_GET_GLOBAL_STATS = 1,
	NGM_MIKROTIK_EOIP_GET_TUNNEL_STATS
};

struct ng_mikrotik_eoip_stats
{
	u_int32_t	packets_in;
	u_int32_t	packets_out;
	u_int64_t	bytes_in;
	u_int64_t	bytes_out;
};

#define NG_MIKROTIK_EOIP_STATS_TYPE_INFO {	\
	{ "packets_in",	&ng_parse_uint32_type },	\
	{ "packets_out",	&ng_parse_uint32_type },	\
	{ "bytes_in",	&ng_parse_uint64_type },	\
	{ "bytes_out",	&ng_parse_uint64_type },	\
	{ NULL } }

#endif /* NG_MIKROTIK_EOIP_H */
